OpenNMS API 1.2.9

## org.opennms.netmgt.scheduler
Class PostponeNecessary

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.netmgt.scheduler.PostponeNecessary

All Implemented Interfaces:
  java.io.Serializable

public class PostponeNecessary
extends java.lang.RuntimeException

Represents a PostponeNecessary

Author:
  brozow
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`PostponeNecessary()`
`PostponeNecessary(java.lang.String message)`
`PostponeNecessary(java.lang.String message, java.lang.Throwable cause)`
`PostponeNecessary(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostponeNecessary

    public PostponeNecessary()

### PostponeNecessary

    public PostponeNecessary(java.lang.String message)

Parameters:
  `message` -

### PostponeNecessary

    public PostponeNecessary(java.lang.String message,
                             java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### PostponeNecessary

    public PostponeNecessary(java.lang.Throwable cause)

Parameters:
  `cause` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.